@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
:root {
  --bg-clr: #0d0e16;
  --details-clr: goldenrod;
  --details-clr-secondary: #ffee00;
  --text-clr: #fff;
  --text-clr-dark: #333;
  --primary-clr: #222538;
}
*{margin:0;padding:0;box-sizing: border-box;}
html, body {
  height: 100%;
  font-family: "Roboto", serif;
  background: var(--bg-clr);
}
a {text-decoration: none;}
.form__container {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.login__form {
  width: 50%;
  background: var(--primary-clr);
  color: var(--text-clr);
  padding: 1rem;
  box-shadow: 0 0 20px var(--details-clr-secondary);
  border-radius: 4px;
}
.form__field {
  width: 100%;
  display: inline-block;
  margin-block: .5rem;
  padding: .5rem;
}
.form__btn {
  width: 50%;
  padding: 0.4rem;
  border-radius: 4px;
  background: var(--details-clr-secondary);
  color: var(--text-clr-dark);
  border: none;
  margin: .5rem auto;
  display: block;
  cursor: pointer;
}